Subject: RE: P1394> PWG printer profile impression

From: Nagasaka Fumio <[email-masked]>
Date: Tue, 23 Dec 1997 21:09:06 +0900

Atsushi writes:
> you are stating that all printing shall use SBP-2.

In this case
..... "all 1394 PWG-profile supportive printer shall use SBP-2" , ...
might be suitable. However I think terminology issue is less prior 
than
frame work for 1394 printing protocol itself. I personally think that
PWG-C profile supportive printer does not speak SBP-2 is also good
solution.

I also think 1394/SBP-2 storage profile supportive image scanner/fax 
may
talk to SBP-2 target capable printer directly. This could be also 
"direct-print".
--------------------------------------------
-------------------------------
Fumio Nagasaka
Epson Software Development Laboratory Inc.
Tel +81 268 25 4111,  Fax +81 268 25 4627
E-mail to [email-masked]

-----Original Message-----
From:	Atsushi_Nakamura [SMTP:[email-masked]]
Sent:	Thursday, December 18, 1997 10:02 AM
To:	Randy Turner
Cc:	[email-masked]; [email-masked]
Subject:	Re: P1394> PWG printer profile impression

I apologize that I may not have made my point clear.
I also apologize that I am thinking out loud.

I understand that the application layer protocols
have not been spoken about.

My understanding (and from the document),
the printer profile document
proposes using SBP-2 for "image communication",
and the current discussion is
about a "glue" to interface SBP-2 and whatever layer
comes above it ( which 1 of them is 1284.4.)

Of course the "glue" itself may be easy to
employ,
but by saying that this glue will be
generic (not just for 1284.4 interfacing)
and applied to all printers,
you are stating that all printing shall use SBP-2.

This discussion had been going on for a while,
but the current PWG-C proposal
(which defines the transport, as well as application
protocols).
has decided NOT to use SBP-2 for direct-print,

This is why I(PWG-C) am concerned about the scope of
this "glue"(and profile), and PWG-C work.
I just wanted to clarify the relationship between
PWG work and PWG-C work

> I *do* think that what we have specified
> so far could easily be employed by any
> 1394 device, no matter how small and
> simple. But there is much work to be done

I may be missing something, but my understanding
is the only things specified (proposed)
so far (from the document and discussion)
is usage of SBP-2, the need to define contents of
the CDB, and that this CDB should be generic.
(not 1284.4 specific)

While speaking about CDBs,
once the CDB definition become generic,
there wil have to be some mechanism to distingush
the layer above it.

1) decoding a defined header at the beginning of the CDB
2) preparing differnt login entry points for each session
others....

If the CDB definition is 1284.4 specific, of course
it will not be necessary.
Does this "glue" really need to support anything
other than 1284.4 ?

Am I missing something ?

Ats

At 06:12 97/12/17 -0800, you wrote:
> To my knowledge, we haven't talked about
> application layer protocols yet (printing or
> anything else). I don't think we know how
> "thick" or "thin" the printing profile
> document will be. Until we specify the
> application layer, we don't have an
> interoperable specification for any
> application.
>
> I *do* think that what we have specified
> so far could easily be employed by any
> 1394 device, no matter how small and
> simple. But there is much work to be done.
>
> Randy
>
>
> Atsushi_Nakamura wrote:
> >
> > I have been reviewing the PWG printing profile,and
> > also was fortunate to hear a little about the
> > discussion that went on in the telephone
> > conference.
> >
> > I think the work is becoming productive,and that is good.
> > However,I do have one concern about the scope of the profile 
(spec.)
> >
> > It is written in the PWG profile document that the profile
> > document:
> >
> >  "will provide requirements for the implementation of IEEE1394
> >  communications for printers, scanners, digital still cameras,
> >  and other imageing devices.
> >  Communications will include traditional computer host to
> >  these devices AS WELL AS DIRECT PEER TO PEER COMMUNICATION"
> >
> > The scope, excluding 1284.4 overlaps with the direct print 
protocol
> > work done in PWG-C.
> >
> > Of course it would be an ideal solution if only 1 protocol
> > exists in the 1394 printing world, which covers ANY printing
> > application, and I assume everyone has persued this idea
> > in the beginning.
> > However, the reality is that the priority of requirements
> > differ among printing applications (PC printing, direct printing)
> > and some protocol features which are necessary in 1 solution
> > may not be needed in others.
> >
> > Coming up with 1 printing profile wich covers both PC printing
> > and direct printing may be a difficult task, and may end up as
> > an incomplete solution for both printing applications.
> > One example may be connection-less service. "IF" it is decided 
that
> > the PC printing solution does not need this feature, I do not 
feel
> > it is necessary to keep it just to support an incomplete 
direct-print.
> > (I'm not saying that PC printing doesn't need connection-less. )
> >
> > I think the concensus we had till a while ago ,that
> > there would be a "thick" stack and a "thin" stack still lives.
> > The idea was that there may(will) be more than 1 stack for 
printers,
> > and FDS is intended to be a solution to "tie" the physical
> > functionality, "the printer" whatever the stack may be.
> >
> > The current activity, that PWG works on an ideal PC
> > printing solution (PWG profile) while the PWG-C works on an
> > ideal direct print solution (Direct-print protocol)is a
> > very realistic idea.
> > The first priority for both groups is for each to come up with
> > a good solution for their initial scope,
> > and don't become too generic from the beginning.
> >
> > >From this point of view, my frank question would be;
> >
> > "Should the PWG profile proposal be considered as a
> >  counter-proposal to the PWG-C Direct-Print Protocol
> >  proposal?"
> >
> > I think it is very good work, and hope to participate in it,
> > but I was just curious that PWG and PWG-C may be working on
> > 2 of the same things.
> >
> > FYI: The direct-print market in Japan, though not as big as
> >      the PC printer market is an area that cannot be ignored,
> >      with direct print capable printers from Panasonic, Casio,
> >      Epson,Sharp and most digital camera vendors.
> >      Direct printing is somewhat a trend in Japan,becoming more
> >      than a niche market.
> >      I think this comes from the difference in the number of PCs
> >      inside the homes, between the US and Japan.
> >
> >
> >
> > -----------------------------------------
> > Atsushi Nakamura
> > -----------------------------------------
> > **************!! NOTICE !!*****************
> > *TEL,FAX,and EMAIL(2) has changed         *
> > *from Sept.8,1997                         *
> > *******************************************
> >
> > BJ Technology Develpoment 22,
> > Canon Inc.
> >
> > 53 Imai Kami-cho
> > Nakahara-Ku, Kawasaki-shi
> > postal no. 211
> >
> > tel:+81-3-44-733-6111(ext.5593)
> >     +81-3-44-739-6634(direct)
> > fax:+81-3-44-739-6756
> > email(1):[email-masked]
> > email(2):[email-masked]
> > -----------------------------------------
>
>

-----------------------------------------
Atsushi Nakamura
-----------------------------------------
**************!! NOTICE !!*****************
*TEL,FAX,and EMAIL(2) has changed         *
*from Sept.8,1997                         *
*******************************************

BJ Technology Develpoment 22,
Canon Inc.

53 Imai Kami-cho
Nakahara-Ku, Kawasaki-shi
postal no. 211

tel:+81-3-44-733-6111(ext.5593)
    +81-3-44-739-6634(direct)
fax:+81-3-44-739-6756
email(1):[email-masked]
email(2):[email-masked]
-----------------------------------------